Bug 507157 - Review Request: efte - A lightweight, extendable, folding text editor
Review Request: efte - A lightweight, extendable, folding text editor
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-21 06:42 EDT by Susi Lehtola
Modified: 2009-08-04 20:28 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.0-4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-03 22:29:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cwickert: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2009-06-21 06:42:05 EDT
Spec URL: http://theory.physics.helsinki.fi/~jzlehtol/rpms/efte.spec

SRPM URL: 
http://theory.physics.helsinki.fi/~jzlehtol/rpms/efte-1.0-1.fc11.src.rpm

Upstream url: http://efte.cowgar.com

Description:
eFTE is an advanced programmers editor with goals of being lightweight, yet
totally configurable. Support for user defined programming languages, menu
systems and key bindings are provided with many common defaults already
defined. eFTE is still a new project, however, we extend from the FTE editor
which was first released in 1995, so eFTE is tried and true with many features
for the programmer/text editor. 

rpmlint output is clean.
Comment 3 Christoph Wickert 2009-06-22 21:10:29 EDT
REVIEW for 59d3e938fd52497670bf35513e69304d  efte-1.0-3.fc11.src.rpm

TBD - MUST: rpmlint must be run on every package. The output should be posted in the review.
OK - MUST: The package is named according to the Package Naming Guidelines.
OK - MUST: The spec file name matches the base package %{name}, in the format %{name}.spec.
OK - MUST: The package meets the Packaging Guidelines.
OK - MUST: The package is licensed with a Fedora approved license and meets the Licensing Guidelines: GPLv2+ or Artistic
OK - MUST: The License field in the package spec file matches the actual license.
OK - MUST: The license files from the source package is included in %doc.
OK - MUST: The spec file is in American English.
OK - MUST: The spec file for the package is legible.
OK - MUST: The sources used to build the package match the upstream source by MD5 d7f9b5514ceeef371d91853e56ef8288
OK - MUST: The package successfully compiles and builds into binary rpms on x86_64
N/A - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
OK - MUST: All build dependencies are listed in BuildRequires.
N/A - MUST: The spec file handles locales properly with the %find_lang macro.
N/A - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
N/A - MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
OK - MUST: The package owns all directories that it creates.
OK - MUST: The package does not contain any duplicate files in the %files listing.
OK - MUST: Permissions on files are set properly. Every %files section includes a %defattr(...) line.
OK - MUST: The package has a %clean section, which contains rm -rf %{buildroot}.
OK - MUST: The package consistently uses macros, as described in the macros section of Packaging Guidelines.
OK - MUST: The package contains code, or permissable content.
N/A - MUST: Large documentation files should go in a -doc subpackage.
OK - MUST: Files included as %doc do not affect the runtime of the application.
N/A - MUST: Header files must be in a -devel package.
N/A - MUST: Static libraries must be in a -static package.
N/A - MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
N/A - MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
N/A - MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
OK - MUST: The package does not contain any .la libtool archives.
OK - MUST: The package contains a GUI application and includes a %{name}.desktop file, and that file is properly installed with desktop-file-install in the %install section.
OK - MUST: The packages does not own files or directories already owned by other packages.
OK - MUST: At the beginning of %install, the package runs rm -rf %{buildroot}.
OK - MUST: All filenames in rpm packages are valid UTF-8.


SHOULD Items:
N/A - SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
N/A - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
FAIL - SHOULD: The the package builds in mock.
TBD - SHOULD: The package should compile and build into binary rpms on all supported architectures.
OK - SHOULD: The package functions as described.
OK - SHOULD: If scriptlets are used, those scriptlets must be sane.
N/A - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A - SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.
N/A - SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.


Other items:
OK - Latest version packaged
OK - RPM_OPT_FLAGS are honored
OK - Timestamp of Source= matches
OK - Timestamps are preserved during %install
OK - All docs are included in %doc


Issues:
- mockbuild fails with:
  rm: cannot remove `/usr/bin/vefte': No such file or directory
see http://koji.fedoraproject.org/koji/taskinfo?taskID=1431125
This is weird, because when I comment out the line it fails due to unpackaged files: http://koji.fedoraproject.org/koji/taskinfo?taskID=1431152
You should test if the file is really there before removing it.
- better use pushd/popd instead of cd src/cd ..
- Omit INSTALL from %doc, it's useless
- "Categories=Development;TextEditor;" in the desktop file looks a little unconventional, but I guess in this case it is correct.
Comment 4 Susi Lehtola 2009-06-23 02:21:40 EDT
(In reply to comment #3)
> Issues:
> - mockbuild fails with:
>   rm: cannot remove `/usr/bin/vefte': No such file or directory
> see http://koji.fedoraproject.org/koji/taskinfo?taskID=1431125
> This is weird, because when I comment out the line it fails due to unpackaged
> files: http://koji.fedoraproject.org/koji/taskinfo?taskID=1431152
> You should test if the file is really there before removing it.

Ugh, missing %{buildroot} before %{_bindir}. Fixed.

> - better use pushd/popd instead of cd src/cd ..

Maybe, if the directory structure was more complicated. The stack operations pushd/popd seem a like an overkill :)

> - Omit INSTALL from %doc, it's useless

Whoops, shouldn't have been there.

> - "Categories=Development;TextEditor;" in the desktop file looks a little
> unconventional, but I guess in this case it is correct.  

Yes, since this is an editor for programmers.

http://theory.physics.helsinki.fi/~jzlehtol/rpms/efte.spec
http://theory.physics.helsinki.fi/~jzlehtol/rpms/efte-1.0-4.fc11.src.rpm
Comment 5 Susi Lehtola 2009-06-30 04:31:44 EDT
ping Christoph
Comment 6 Christoph Wickert 2009-06-30 05:07:04 EDT
Sorry, I was on Linuxtag and FUDCon last week, so I didn't have time for this review. Will do it tonight.
Comment 7 Christoph Wickert 2009-07-01 04:24:26 EDT
(In reply to comment #4)
> Ugh, missing %{buildroot} before %{_bindir}. Fixed.

Ouch, I overlooked that one, too.

> > - better use pushd/popd instead of cd src/cd ..
> 
> Maybe, if the directory structure was more complicated. The stack operations
> pushd/popd seem a like an overkill :)

Not to me but it's up to you.

> > - "Categories=Development;TextEditor;" in the desktop file looks a little
> > unconventional, but I guess in this case it is correct.  
> 
> Yes, since this is an editor for programmers.

Yes, and the freedesktop spec does not know editors for programmers and thinks all editors are utilities. For programming it only knows "IDE", but this would really be too much for this app. Nevertheless some desktops might react a little strange to this and show it in both categories.

> http://theory.physics.helsinki.fi/~jzlehtol/rpms/efte.spec
> http://theory.physics.helsinki.fi/~jzlehtol/rpms/efte-1.0-4.fc11.src.rpm  

Looks good and fixes all issues. efte-1.0-4.fc11.src.rpm is APPROVED.
Comment 8 Susi Lehtola 2009-07-01 05:38:40 EDT
Thanks for the review!

New Package CVS Request
=======================
Package Name: efte
Short Description: A lightweight, extendable, folding text editor for X11
Owners: jussilehtola
Branches: EL-5 F-10 F-11
InitialCC:
Comment 9 Kevin Fenzi 2009-07-02 01:00:07 EDT
cvs done.
Comment 10 Fedora Update System 2009-07-02 12:09:43 EDT
efte-1.0-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/efte-1.0-4.fc10
Comment 11 Fedora Update System 2009-07-02 12:10:32 EDT
efte-1.0-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/efte-1.0-4.fc11
Comment 12 Fedora Update System 2009-07-11 13:02:06 EDT
efte-1.0-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update efte'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7441
Comment 13 Fedora Update System 2009-07-11 13:29:19 EDT
efte-1.0-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update efte'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7517
Comment 14 Fedora Update System 2009-07-16 05:42:57 EDT
efte-1.0-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/efte-1.0-5.el5
Comment 15 Fedora Update System 2009-07-16 16:06:55 EDT
efte-1.0-5.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update efte'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0089
Comment 16 Fedora Update System 2009-08-03 22:28:55 EDT
efte-1.0-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-08-04 20:28:03 EDT
efte-1.0-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2009-08-04 20:28:34 EDT
efte-1.0-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.